import { CSSResultGroup, LitElement, PropertyValues } from "lit";
export declare class OrMapLegendEvent extends CustomEvent<string[]> {
    static readonly NAME = "or-map-legend-changed";
    constructor(assetTypes: string[]);
}
declare global {
    export interface HTMLElementEventMap {
        [OrMapLegendEvent.NAME]: OrMapLegendEvent;
    }
}
export declare class OrMapLegend extends LitElement {
    static get styles(): CSSResultGroup;
    assetTypes: string[];
    protected _assetTypesInfo: any;
    protected _excludedTypes: string[];
    protected _showLegend?: HTMLDivElement;
    protected shouldUpdate(changedProperties: PropertyValues): boolean;
    protected _onHeaderClick(): void;
    protected render(): import("lit").TemplateResult<1>;
}
